# Cisco IPSec VPN tunnel

Monitors the status of Cisco IPSec VPN tunnels. Tis is a complete rewrite of the original check

Check Info:

* *service*: this check creates on service vor eah IPSec VPN tunnel
* *state*: 
    * **warning** if VPN tunnel has no IPSec infromation (missing phase 2))
    * **unkown** if VPN tunnel missing
* *wato*: 
    * you can configure the state for missing VPN tunnels and for missing IPSec information. This states can be configured globaly or per tunnel.
    * you can configure an tunnel alias 
* *perfdata*:\
    **IKE counter**
    * IKE active time (s)
    * IKE Bytes in (bytes/s)
    * IKE Bytes out (byte/s)
    * IKE packets in (/s)
    * IKE packets out (/s)
    * IKE packets dropped in (/s)
    * IKE packets dropped out (/s)
    * IKE in notifies (count)
    * IKE out notifies (count)
    * IKE in phase 2 exchanges (count)
    * IKE out phase 2 exchanges (count)
    * IKE in phase 2 exchanges invalid (count)
    * IKE out phase 2 exchanges invalid (count)
    * IKE in phase 2 exchanges rejected (count)
    * IKE out phase 2 exchanges rejected (count)
    * IKE in phase 2 SA delete requests (count)
    * IKE out phase 2 SA delete requests (count)

    **IPSec counter**
    * IPSec active time (s)
    * IPSec Bytes in (byte/s)
    * IPSec Bytes out (byte/s)
    * IPSec packets in (/s)
    * IPSec packets out (/s)
    * IPSec packets dropped in (/s)
    * IPSec packets dropped out (/s)
    * IPSec in decompressed octets (/s)
    * IPSec out compressed octets (/s)
    * IPSec in authentication\'s (count)
    * IPSec out authentication\'s (count)
    * IPSec in authentication\'s failed (count)
    * IPSec out authentication\'s failed (count)
    * IPSec in decryption\'s (count)
    * IPSec out encryption\'s (count)
    * IPSec in decryption\'s failed (count)
    * IPSec out encryption\'s failed (count)
    * IPSec in replay packets dropped (count)

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")
